<div class="log">
	<ng-container *ngFor="let item of history | async">
		<app-log *ngIf="item.message" [log]="item"></app-log>
		<app-event *ngIf="!item.message" [event]="item"></app-event>
	</ng-container>
	<div #lazyIndicator></div>
</div>
